Class | WSDL::Info
In: | wsdl/info.rb
Parent: | Object

### Methods

inspect new parse_attr parse_element parse_epilogue

### Attributes

id | [RW] |
parent | [RW] |
root | [RW] |

### Public Class methods

new()

[Source]

    # File wsdl/info.rb, line 17
      def initialize
        @root = nil
        @parent = nil
        @id = nil
      end

### Public Instance methods

inspect()

[Source]

    # File wsdl/info.rb, line 23
      def inspect
        if self.respond_to?(:name)
          sprintf("#<%s:0x%x %s>", self.class.name, __id__, self.name)
        else
          sprintf("#<%s:0x%x>", self.class.name, __id__)
        end
      end

parse_attr(attr, value)

[Source]

    # File wsdl/info.rb, line 33
      def parse_attr(attr, value); end

parse_element(element)

[Source]

    # File wsdl/info.rb, line 31
      def parse_element(element); end

parse_epilogue()

[Source]

    # File wsdl/info.rb, line 35
      def parse_epilogue; end

[Validate]